#include <bits/stdc++.h>
using namespace std;

int main(){
    vector< pair <double,int> > vect;

    int n;
    cin >> n;
    int a[n] ;
    double p[n] ;
    double zbir = 0;
    double najveci;


    for(int i = 0;i < n;i++){
        cin >> a[i] >> p[i];
        zbir += a[i];
    }
    for (int i=0; i<n; i++)
        vect.push_back( make_pair(p[i],a[i]) );


    sort(vect.begin(), vect.end());



    for(int i = 1;i < n;i++)
    {
        zbir -= vect[i-1].second;

        if(zbir*vect[i].first > najveci)
            najveci = zbir*vect[i].first;




    }
    najveci /= 100;
    printf("%0.3f", najveci);




return 0;
}